curl --request GET \
--url https://api.aisa.one/apis/v1/financial/financials/cash-flow-statements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/financial/financials/cash-flow-statements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/financial/financials/cash-flow-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cash_flow_statements": [
{
"ticker": "<string>",
"report_period": "2023-12-25",
"fiscal_period": "<string>",
"period": "quarterly",
"currency": "<string>",
"net_income": 123,
"depreciation_and_amortization": 123,
"share_based_compensation": 123,
"net_cash_flow_from_operations": 123,
"capital_expenditure": 123,
"business_acquisitions_and_disposals": 123,
"investment_acquisitions_and_disposals": 123,
"net_cash_flow_from_investing": 123,
"issuance_or_repayment_of_debt_securities": 123,
"issuance_or_purchase_of_equity_shares": 123,
"dividends_and_other_cash_distributions": 123,
"net_cash_flow_from_financing": 123,
"change_in_cash_and_equivalents": 123,
"effect_of_exchange_rate_changes": 123,
"ending_cash_balance": 123,
"free_cash_flow": 123
}
]
}{
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}Cash Flow Statements
Cash flow statements for one company — operating, investing and financing, about 27 fields per period.
net_cash_flow_from_operations, net_cash_flow_from_investing, net_cash_flow_from_financing, capital_expenditure, depreciation_and_amortization, share_based_compensation, issuance_or_repayment_of_debt_securities, issuance_or_purchase_of_equity_shares and dividends_and_other_cash_distributions, stamped with report_period, fiscal_period and currency. period is required. Use it to see cash generation rather than accounting earnings. Free cash flow yield and similar derived figures live in get_financial_financial_metrics.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ticker symbol. Required if cik is not provided.
The time period of the cash flow statements.
annual, quarterly, ttm The maximum number of cash flow statements to return.
The Central Index Key (CIK) of the company.
Filter by exact report period date in YYYY-MM-DD format.
Filter by report period greater than or equal to date in YYYY-MM-DD format.
Filter by report period less than or equal to date in YYYY-MM-DD format.
Filter by report period greater than date in YYYY-MM-DD format.
Filter by report period less than date in YYYY-MM-DD format.
Response
Cash flow statements response
Show child attributes
Show child attributes